Bug 113571 - Java programs abort() on exit
Java programs abort() on exit
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Diego Novillo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-15 09:50 EST by Gary Benson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-16 10:01:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary Benson 2004-01-15 09:50:23 EST
Description of problem:
Java programs compiled with FC2's gcc-ssa abort() on exit.

Version-Release number of selected component (if applicable):
gcc-java-ssa-3.5ssa-0.20031211.107 (rebuilt for my RHL9ish box).

How reproducible:
Always

Steps to Reproduce:
1. cat > Test.java <<EOF
   class Test {
       public static void main(String[] args) {}
   }
   EOF
2. gcj-ssa Test.java -o Test --main=Test
3. ./Test
  
Actual results:
Aborted (core dumped)

Expected results:
It should just do nothing.
Comment 1 Diego Novillo 2004-01-16 09:21:34 EST
Gary,

Could you try with yesterday's snapshot update?
Comment 2 Gary Benson 2004-01-16 09:57:59 EST
It works thanks.

Note You need to log in before you can comment on or make changes to this bug.